/*Criado por: Alex Crispim*/

$(function($){
    
    /*Função para inserir a persistência da Váriavel DOWNLOAD*/
    $(".downloadArquivo").on("click", function(){
      $(this).attr("target","_blank");
      var arquivo = $(this).attr("href");
      var nomeArquivo = arquivo.substring(arquivo.lastIndexOf("/")+1);
      var extensao = arquivo.substring(arquivo.lastIndexOf(".")+1);
      switch(extensao){
        case "pdf": tipo = "text";
                    break;
        default: tipo = "Não determinado pela Função"
      }
      downloadControl(tipo, nomeArquivo);
    });
    
    /*Função para inserir a persistência da Váriavel EXTERNAL_LINK*/
    $(".linkExterno").on("click", function(){
      $(this).attr("target","_blank");
      var url = $(this).attr("href");
      externalLinkControl(url);
    });
    
    /*Criação do Accordion Lateral da Página*/
    $('.ui.accordion').accordion();
    
    /*Slider que contém as ilustrações*/
    var posSlide = $(".slider").bxSlider({
      infiniteLoop: false,
      hideControlOnEnd: true,
      slideWidth: 870,
      preloadImages: "all",
      pager: false
    });

    /*Ampliar os balões de conversação*/
    ampliarBaloes();

    /*Ancoragem de textos em relação as imagens
    no html usar a classe no texto com o mesmo nome do id do slide*/

    //Tratamento para caso o primeiro slide tenha ancoragem    
    var primeiroSlide = $(".slider li:eq(0)").attr("id");
    if(primeiroSlide&&$(".accordion .transition").find("*").hasClass(primeiroSlide)){
      //Marca e desmarca o texto de acordo com o slide
      $(".accordion .transition").find("*").removeClass("textoFig");
      $(".accordion .transition").find("."+primeiroSlide).addClass("textoFig");
      //Pega a posição em que o texto está no scroll
      var alvo = $(".accordion .transition ."+primeiroSlide).position().top;
      //Usado para movimentar o scroll na posição do alvo
      if($(".accordion .transition").find("*").hasClass(primeiroSlide)!=undefined){
        $(".accordion .content").animate({ scrollTop: alvo }, 0);
      }
    }
    //Navegação da ancoragem
    $(".bx-next,.bx-prev").on("click",function(){
      //Mostra qual slide é o atual
      var slideAtual = posSlide.getCurrentSlide();
      //Remove a adiciona um atributo para identificação
      $(".slider li").removeAttr("imagem","ativa");
      $(".slider li").eq(slideAtual).attr("imagem","ativa");
      //Pega o atributo ID do slide atual
      var posicao = $(".slider li[imagem=ativa]").attr("id");
      if($(".slider li").eq(slideAtual).has("imagem","ativa")&&$(".accordion .transition").find("*").hasClass(posicao)){
        //Marca e desmarca o texto de acordo com o slide
        $(".accordion .transition").find("*").removeClass("textoFig");
        $(".accordion .transition").find("."+posicao).addClass("textoFig");
        //Pega a posição em que o texto está no scroll
        var alvo = $(".accordion .transition ."+posicao).position().top;
        //Usado para movimentar o scroll na posição do alvo
        if($(".accordion .transition").find("*").hasClass(posicao)!=undefined){
          $(".accordion .content").animate({ scrollTop: alvo }, 500);
        }
      } else {
        $(".accordion .transition").find("*").removeClass("textoFig");
      }
    });

    /*Botões de navegação das atividades*/
    $(".botoes button").on("click", function(){
        var link = $(this).attr("link");
        window.location.href = link;
    });


    /*Modal*/
    $(".modal").on("click", function(){
      var linkModal = $(this).attr("modal");
      $("."+linkModal).modal("show");
    });
    $("div.close").on("click", function(){
      $(this).parents(".modal").modal("hide", true);
    });
    
    

    /*Responsividade ao modificar a janela ou ao entrar na página*/
    //Modifica as fontes nas ilustrações
    fonteCarousel();
    //Muda a estrutura para posicionar o topo
    responsivo();
    $(window).resize(function(){
      fonteCarousel();
      responsivo();
    });

    /*Demostração da Biblioteca Complementar
    $(".biblioteca, .fechar").on("click", function(){
      $(".arquivosComplementares").slideToggle("slow");
    });*/
      
});

/*Funções*/
/*Função para tornar as fontes das ilustrações dinâmicas de acordo com o tamanho
da imagem responsiva*/
function fonteCarousel(){
  var tamanhoCarousel = $(".bx-wrapper").width();
  calcText = tamanhoCarousel * 0.0052 /*Valor referente ao font-size do body dividido pela maior resolução 13 / 1920 */;
  $('.bx-viewport').css('font-size', calcText);
  
  $("#txtAtiv6fig1Part1").html('A secretária também me pediu para mostrar as outras vedações além das específicas quanto à Gestão de Pessoal, Transferências Voluntárias, Licitações e Contratos, Publicidade e Distribuição de Bens.<br/>Eu preparei um documento que enviei a vocês. Não deixem de ler.');
  $("#txtAtiv6Fig1Part1a").html('• Usar materiais ou imóveis pertencentes à União, Estados ou do Município para beneficiar campanha de candidato ou partido;<br/>'+
                                '• Usar materiais ou serviços, custeados pela Administração Pública, que não sejam para finalidade prevista nas normas dos órgãos a que pertençam;<br/>'+
                                '• Fazer propaganda para candidato com distribuição gratuita de bens ou serviços custeados pelo Poder Público;<br/>'+
                                '• Usar símbolos parecidos com os governamentais;<br/>'+
                                '• Usar simulador de urna eletrônica;<br/>'+
                                '• Distribuir camisetas, chaveiros, bonés, canetas, cestas básicas ou quaisquer outros bens ou materiais que possam proporcionar vantagem ao eleitor;<br/>'+
                                '• Comparecer a inaugurações de obras públicas, qualquer candidato, a partir de 2 de julho de 2016.<br/>'+
                                '• Fazer pronunciamento em cadeia de rádio e televisão fora do horário eleitoral gratuito, salvo quando, a critério da Justiça Eleitoral, tratar-se de matéria urgente, relevante e característica das funções de governo.');
};
/*Função para modificar o topo do semantic para mudar as logos de lugares*/
function responsivo() {
    var largura = $(document).width();
    if (largura <= 764 && !$(".topo .unasus div:eq(1)").hasClass("logoConasems")) {
        //Em telas menores atribui muda a logo do Conasems de posição e retira os espaços do semantic
        $(".topo .conasems").hide();
        $(".topo .unasus").append("<div class='logoConasems'></div>");
        $(".topo .unasus").attr("style", "padding-bottom: 0 !important");
        $(".topo .seven").attr("style", "padding-top: 0 !important");
        //Sobrescreve o padding dos buttons em telas menores
        $("#btVoltar button").attr("style", "padding-left: 3.2em !important; padding-right: 1em !important;");
        $("#btAvancar button").attr("style", "padding-right: 3.2em !important; padding-left: 1em !important;");
        //Em telas menores atribui a porcentagem para caber 3 botões e muda o botão avançar de posição
        $(".botoes div").attr("style", "width: 33% !important");
        var mudarDiv = $("#btDownloadTexto");
        $("#btAvancar").before(mudarDiv);
        /*Adapta os botões do Título Principal lado a lado em resoluções menores*/
        var tituloResolucaoMenor = $(".destaqueTitulos .tituloPrincipal");
        $(".destaqueTitulos .btNavegar").before(tituloResolucaoMenor);
        $(".destaqueTitulos .tituloPrincipal[1]").remove();
        $(".destaqueTitulos .btNavegar, .destaqueTitulos .btSobre").attr("style", "padding-top: 0 !important; padding-bottom: 0 !important; width: 50% !important;");
    }
    if (largura >= 765) {
        //Em telas maiores volta a logo do Conasems para a posição original
        $(".topo .unasus .logoConasems").remove();
        $(".topo .conasems").show();
        //Remove os atributos setados para telas menores quando se torna maior
        $(".botoes div, #btVoltar button, #btAvancar button").removeAttr("style");
        //Em telas maiores volta o botão avançar para a posição original
        var mudarDiv = $("#btDownloadTexto");
        $("#btAvancar").after(mudarDiv);
        /*Volta os botões do Título Principal a posição original em resoluções maiores*/
        $(".destaqueTitulos .btNavegar, .destaqueTitulos .btSobre").removeAttr("style");
        var tituloResolucaoMaior = $(".destaqueTitulos .tituloPrincipal");
        $(".destaqueTitulos .btNavegar").after(tituloResolucaoMaior);
    }
};

/*Função para Ampliar os balões de conversação*/
function ampliarBaloes(){
  $(".slider li div").on("click", function(){
    //Clona a div que contém o texto
    var balao = $(this).clone().html();
    //Cria dinâmicamente o código da modal na página
    var modal = $("<div class='ui modal baloes'>"+
                  "<i class='close icon'></i>"+
                  "<div class='content'>"+balao+"</div>"+
                  "<div class='actions'>"+
                   "<div class='ui button gray close'>Fechar</div>"+
                  "</div>"+
                  "</div>");
    //Acrescenta a modal dentro do elemento
    $(this).parent().append(modal);
    //Revela a modal criada
    $(this).parent().children(".ui.modal").modal("show");
    //Ao fechar a modal o elemento é removido pois se não a página geraria um novo a cada clique dando erro de perfomance
    $("div.close, .ui.modal.baloes .content, .ui.modal.baloes .actions").on("click", function(){
      $(this).parents(".modal").modal("hide", true);
      $(".ui.modal.baloes").remove();
    });
    $(".ui.dimmer.modals").on("click",function(){
      $(".ui.modal.baloes").remove();
    });
    $(".ui.modal.baloes").parent().css("background-color","rgba(0,0,0,0)");
  });
};

/*Função para atualizar a váriavel STATUS e suas Propriedades*/
function atualizarStatus() {

    var status_change = false;

    var index = 0;

    var status = unasus.pack.getStatus();

    if (status === undefined) {
        status = createStatusDefault();
    }
    if (status === null) {
        return false;
    }

    var navigation = unasus.pack.getPersistence("NAVIGATION");

    var paginaAtual = navigation.current;

    if (status[paginaAtual] === false) {
        status[paginaAtual] = true;
        status_change = true;
    }

    if (status["index"] === true) {
        index = 100;
    }

    var newPorcentagemTotal = index;
    var newLTI = newPorcentagemTotal / 100;

    if (newPorcentagemTotal > status.percentage) {
        status.percentage = newPorcentagemTotal;
        status_change = true;
    }

    if (newLTI > status.LTIvalue) {
        status.LTIvalue = newLTI;
        status_change = true;
    }

    if (status.percentage >= 100) {
        if (status.status !== "completed") {
            status_change = true;
            status.status = "completed";
        }
    }

    if (status.percentage < 100 && status.percentage > 0) {
        if (status.status !== "attempted") {
            status_change = true;
            status.status = "attempted";
        }
    }

    if (status.percentage <= 0) {
        if (status.status !== "attended") {
            status_change = true;
            status.status = "attended";
        }
    }

    if (status_change) {
        unasus.pack.setStatus(status);
    }
};